Getting started
List database tables
List tables in a supported PostgreSQL database. Other engines return an unsupported-operation error.
GET
/api/customer/v1/projects/{projectId}/databases/{databaseId}/tablesPath parameters
| Name | Value |
|---|---|
projectId | Required resource ID from an earlier API response. |
databaseId | Required resource ID from an earlier API response. |
Example request
Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.
curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/databases/${DATABASE_ID}/tables" \
--header "Authorization: Bearer $HCODE_API_KEY" Response
The JSON shape is defined in the response schema.
Response schema
{
"type": "object",
"properties": {
"tables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"schema": {
"type": "string"
},
"type": {
"type": "string"
}
},
"required": [],
"additionalProperties": true
}
}
},
"required": [],
"additionalProperties": true
}See errors and retries for failure responses.